{# heredando header y footer #}
{% extends "./index.html" %}
{% load static %}
{% block contenido %}

<div class="row">
  <div class="col-md-2">
  </div>
  <div class="col-md-8">
    <br> <br>
    <form class="" action="/procesarActualizacionDetalle/" method="post" enctype="multipart/form-data" id="frm_nuevo_detalle">
        {% csrf_token %}
        <h6>Platillo:</h6>
        <select class="form-control" name="id_plt" id="id_plt" required>
            <option value="">--Seleccione el Platillo--</option>
            {% for platillo in platillos %}
              <option value="{{platillo.id_bf}}">{{platillo.nombre_bf}}</option>
            {% endfor %}
        </select>
        <br>
        <h6>Pedido:</h6>
        <select class="form-control" name="id_pd" id="id_pd" required>
            <option value="">--Seleccione el Pedido--</option>
            {% for pedido in pedidos %}
              <option value="{{pedido.id_bf}}">{{pedido.estado_bf}}</option>
            {% endfor %}
        </select>
        <script type="text/javascript">
            document.getElementById("id_plt").value="{{detalle.platillo.id_bf}}"
        </script>
        <script type="text/javascript">
            document.getElementById("id_pd").value="{{detalle.pedido.id_bf}}"
        </script>
        <input type="hidden" name="id_bf" value="{{detalle.id_bf}}">
        <br>
        <input type="text" name="descuento_bf" id="descuento_bf" value="{{detalle.descuento_bf}}" step="0.01" class="form-control" required>
        <br>
        <input type="text" name="impuesto_bf" id="impuesto_bf" value="{{detalle.impuesto_bf}}" step="0.01" class="form-control" required>
        <br>
        <input type="text" name="total_bf" id="total_bf" value="{{detalle.total_bf}}" step="0.01" class="form-control" required>
        <br>
        <b>Fecha de Creacion:</b>
        <input type="date" name="fecha_creacion_bf" id="fecha_creacion_bf" value="{{detalle.fecha_creacion_bf|date:'Y-m-d'}}" class="form-control" required>
        <br>
        <br></br>
        <center>
            <button type="submit" name="button" class="btn btn-warning">Actualizar</button> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <a href="{% url 'detalles' %}" name="button" class="btn btn-danger">Cancelar</a>
        </center>
    </form>
  </div>

</div>

<script type="text/javascript">
          $("#frm_nuevo_detalle").validate({
            rules:{
              "id_plt":{
                required:true
              },
              "id_pd":{
                required:true
              },
              "descuento_bf":{
                required:true,
                number:true
              },
              "impuesto_bf":{
                required:true,
                number:true
              },
              "total_bf":{
                required:true,
                number:true
              },
              "fecha_creacion_bf":{
                required:true
              }
            },
            messages:{
              "id_plt":{
                required:"Por favor seleccione un Platillo"
              },
              "id_pd":{
                required:"Por favor seleccione un Pedido"
              },
              "descuento_bf":{
                required:"Por favor Ingrese un Descuento",
                number:"Ingrese solo numeros"
              },
              "impuesto_bf":{
                required:"Por favor Ingrese un Impuesto",
                number:"ingrese solo numeros"
              },
              "total_bf":{
                required:"Por favor Ingrese un total",
                number:"Ingrese solo numeros"
              },
              "fecha_creacion_bf":{
                required:"Debe ingresar una fecha valida"
              }
            }
          });
        </script>


{% endblock %}
